Summary:	Module utilities
Name:		modutils
Version:	2.4.22
Release:	1.3.0
Copyright:	GPL
Group:		Utilities/System
Source:		modutils-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The Linux kernel allows new kernel pieces to be loaded and old ones to
be unloaded while the kernel continues to run. These loadable pieces
are called modules, and can include device drivers and filesystems among
other things. This package includes program to load and unload programs
both automatically and manually.

%files
  %defattr(0444,root,root)
  %doc COPYING README CREDITS TODO ChangeLog NEWS example/kallsyms.c include/kallsyms.h
  %doc %{_mandir}/man?/*

  %defattr(-,root,root)
  %attr(750,root,root)		%{_root_sbindir}/depmod
  %attr(750,root,root)		%{_root_sbindir}/genksyms
  %attr(750,root,root)		%{_root_sbindir}/insmod
  %attr(750,root,root)		%{_root_sbindir}/insmod.static
  %attr(750,root,root)		%{_root_sbindir}/modprobe
  %attr(750,root,root)		%{_root_sbindir}/rmmod
  %attr(750,root,root)		%{_root_sbindir}/insmod_ksymoops_clean
  %attr(750,root,root)		%{_root_sbindir}/kernelversion

  %attr(750,root,admin)		%{_root_sbindir}/ksyms
  %attr(750,root,admin)		%{_root_sbindir}/lsmod
  %attr(750,root,admin)		%{_root_sbindir}/modinfo
  %attr(750,root,admin)		%{_root_sbindir}/kallsyms

%prep
%setup -q

%build
  CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-insmod-static \
	--disable-kerneld --exec-prefix=/ --mandir=%{_mandir}
  make dep all

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_root_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{1,2,5,8}

  make install prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT \
	mandir=$RPM_BUILD_ROOT/%{_mandir}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Fri Feb 14 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.22, Release 1.5.1
  - Upgrade to 2.4.22.
  - Drop the man/systemmap patches we had as we don't use them.
  - Ryan-ize spec, changed some permissions in %files.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Sep 18 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.8, Release 1.1.1
  - Upgrade to 2.4.8 for better USB table support.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.1, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Wed Feb 14 2001 Pete O'Hara <pete@guardiandigital.com>
- upgraded to 2.4.1 and converted patches from 2.3.21
	to 2.4.1

* Mon Nov 27 2000 Dave Wreski <dave@guardiandigital.com>
- upgrade to 2.3.21 to fix vulnerabilities
- FHS fixes
- added RH alias patch

* Sat Nov 18 2000 Dave Wreski <dave@guardiandigital.com>
- update to 2.3.20 to fix vulnerabilities

* Tue Oct 17 2000 Pete O'Hara <pete@guardiandigital.com>
- change group to admin for /sbin/lsmod, modinfo, modprobe,
	rmmod

* Tue Oct 17 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to some /sbin executables for EnGarde

* Mon Oct 16 2000 Dave Wreski <dave@guardiandigital.com>
- Disabled -r option for insmod
- Updated documentation
